export async function ensureTokens(store) {
  try {
    // 調用 Vuex action 獲取 token
    await store.dispatch('FetchSeiToken');
    console.log('已獲取 seiToken 和 jwtToken');
  } catch (error) {
    console.error('獲取 token 失敗:', error);
    throw error; // 重新拋出錯誤，以便調用者可以處理它
  }
}
